Package org.eclipse.ecf.provider.generic

# Class ContainerMessage.JoinGroupMessage

java.lang.Object
org.eclipse.ecf.provider.generic.ContainerMessage.JoinGroupMessage

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ContainerMessage

public static final class ContainerMessage.JoinGroupMessage extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JoinGroupMessage(Serializable data)`

## Method Summary

Modifier and Type
Method
Description
`Serializable`
`getData()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JoinGroupMessage

public JoinGroupMessage(Serializable data)

## Method Details

### getData

public Serializable getData()

### toString

public String toString()

Overrides:
  `toString` in class `Object`